@keyframes swing {
  0% {
    transform: rotate(0deg);
  }
  10% {
    transform: rotate(10deg);
  }
  30% {
    transform: rotate(0deg);
  }
  40% {
    transform: rotate(-10deg);
  }
  50% {
    transform: rotate(0deg);
  }
  60% {
    transform: rotate(5deg);
  }
  70% {
    transform: rotate(0deg);
  }
  80% {
    transform: rotate(-5deg);
  }
  100% {
    transform: rotate(0deg);
  }
}

@keyframes sonar {
  0% {
    transform: scale(0.9);
    opacity: 1;
  }
  100% {
    transform: scale(2);
    opacity: 0;
  }
}
body {
	font-family: "Source Sans Pro", Verdana, Helvetica, sans;
  font-size: 0.9rem;
  background: #F2F2F6;
}
.navbar-light{ background: #F2F2F6 !important; }
.page-wrapper .sidebar-wrapper,
.sidebar-wrapper .sidebar-brand > a,
.sidebar-wrapper .sidebar-dropdown > a:after,
.sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu li a:before,
.sidebar-wrapper ul li a i,
.page-wrapper #page-content,
.sidebar-wrapper .sidebar-search input.search-menu,
.sidebar-wrapper .sidebar-search .input-group-text,
.sidebar-wrapper .sidebar-menu ul li a,
#show-sidebar,
#close-sidebar {
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
}

/*----------------page-wrapper----------------*/

.page-wrapper {
  height: 100vh;
}

.page-wrapper .theme {
  width: 40px;
  height: 40px;
  display: inline-block;
  border-radius: 4px;
  margin: 2px;
}

.page-wrapper .theme.chiller-theme {
  background: #1e2229;
}

/*----------------toggeled sidebar----------------*/

.page-wrapper.toggled .sidebar-wrapper {
  left: 0px;
}

@media screen and (min-width: 768px) {
  .page-wrapper.toggled #page-content {
    padding-left: 293px;
  }
}
/*----------------show sidebar button----------------*/
#show-sidebar {
  border-radius: 0 4px 4px 0px;
  width: 35px;
  transition-delay: 0.3s;
  width: 100%;
  text-align: left;
  color: #fff;
  opacity: 0.5;
  font-size: 1.21rem;
  padding: 0;
}
#show-sidebar:hover{ opacity: 1; }
.page-wrapper.toggled #show-sidebar {
  left: -40px;
}
/*----------------sidebar-wrapper----------------*/

.sidebar-wrapper {
  width: 293px;
  height: 100%;
  max-height: 100%;
  position: fixed;
  top: 0;
  left: -293px;
  z-index: 999;
}

.sidebar-wrapper ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
}

.sidebar-wrapper a {
  text-decoration: none;
}

/*----------------sidebar-content----------------*/

.sidebar-content {
  max-height: calc(100% - 30px);
  height: calc(100% - 30px);
  /*overflow-y: auto;*/
  position: relative;
}

.sidebar-content.desktop {
  overflow-y: hidden;
}

/*--------------------sidebar-brand----------------------*/

.sidebar-wrapper .sidebar-brand {
  padding: 3px 15px;
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.sidebar-wrapper .sidebar-brand > a {
  text-transform: uppercase;
  font-weight: bold;
  flex-grow: 1;
}

.sidebar-wrapper .sidebar-brand #close-sidebar {
  cursor: pointer;
  font-size: 1.5rem;
}
/*--------------------sidebar-header----------------------*/

.sidebar-wrapper .sidebar-header {
  padding: 9px 20px;
  overflow: hidden;
}

.sidebar-wrapper .sidebar-header .user-pic {
  float: left;
  width: 60px;
  padding: 2px;
  border-radius: 12px;
  margin-right: 15px;
  overflow: hidden;
}

.sidebar-wrapper .sidebar-header .user-pic img {
  object-fit: cover;
  height: 100%;
  width: 100%;
}

.sidebar-wrapper .sidebar-header .user-info {
  float: left;
}

.sidebar-wrapper .sidebar-header .user-info > span {
  display: block;
}

.sidebar-wrapper .sidebar-header .user-info .user-role {
  font-size: 12px;
}

.sidebar-wrapper .sidebar-header .user-info .user-status {
  font-size: 11px;
  margin-top: 4px;
}

.sidebar-wrapper .sidebar-header .user-info .user-status i {
  font-size: 8px;
  margin-right: 4px;
  color: #5cb85c;
}

/*-----------------------sidebar-search------------------------*/

.sidebar-wrapper .sidebar-search > div {
  padding: 10px 20px;
}

/*----------------------sidebar-menu-------------------------*/

.sidebar-wrapper .sidebar-menu {
  padding-bottom: 10px;
}

.sidebar-wrapper .sidebar-menu .header-menu span {
  font-weight: bold;
  font-size: 14px;
  padding: 15px 20px 5px 20px;
  display: inline-block;
}

.sidebar-wrapper .sidebar-menu ul li a {
  display: inline-block;
  width: 100%;
  text-decoration: none;
  position: relative;
  padding: 4px 0px 4px 5px;
  font-size: 14px;
  font-weight: bold;
}

.sidebar-wrapper .sidebar-menu ul li a i {
  margin-right: 10px;
  font-size: 12px;
  width: 30px;
  height: 30px;
  line-height: 30px;
  text-align: center;
  border-radius: 4px;
}

.sidebar-wrapper .sidebar-menu ul li a:hover > i::before {
  display: inline-block;
  animation: swing ease-in-out 0.5s 1 alternate;
}
.sidebar-wrapper .sidebar-menu .sidebar-dropdown > a{ padding-left: 15px; }
.sidebar-wrapper .sidebar-menu .sidebar-dropdown > a:before {
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  content: "\f0da";
  font-style: normal;
  display: inline-block;
  font-style: normal;
  font-variant: normal;
  text-rendering: auto;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  background: 0 0;
  position: absolute;
  left: 0;
  top: 5px;
}
.sidebar-wrapper .sidebar-menu .sidebar-dropdown > a img{ float: right;}
.sidebar-wrapper .sidebar-menu .sidebar-dropdown > a span{ padding-right: 10px; font-weight: normal; }
.sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu ul {
  padding: 5px 0;
}
iframe{
transition: width 0.3s, height 0.3s;
}

.sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu li {
  font-size: 13px; position: relative; margin-bottom: 15px; line-height: 1;
}
.sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu li li{ margin-bottom: 10px;}
/*.sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu li a:before {
  content: "\f111";
  font-family: "Font Awesome 5 Free";
  font-weight: 400;
  font-style: normal;
  display: inline-block;
  text-align: center;
  text-decoration: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  margin-right: 10px;
  font-size: 8px;
}*/

.sidebar-wrapper .sidebar-menu ul li a span.label,
.sidebar-wrapper .sidebar-menu ul li a span.badge {
  float: right;
  margin-top: 8px;
  margin-left: 5px;
}

.sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu li a .badge,
.sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu li a .label {
  float: right;
  margin-top: 0px;
}

.sidebar-wrapper .sidebar-menu .sidebar-submenu {
  display: none;
}

.sidebar-wrapper .sidebar-menu .sidebar-dropdown.active > a:before {
  transform: rotate(90deg);
  left: 0px;
}

/*--------------------------side-footer------------------------------*/

.sidebar-footer {
  position: absolute;
  width: 100%;
  bottom: 0;
  display: flex;
}

.sidebar-footer > a {
  flex-grow: 1;
  text-align: center;
  height: 30px;
  line-height: 30px;
  position: relative;
}

.sidebar-footer > a .notification {
  position: absolute;
  top: 0;
}

.badge-sonar {
  display: inline-block;
  background: #980303;
  border-radius: 50%;
  height: 8px;
  width: 8px;
  position: absolute;
  top: 0;
}

.badge-sonar:after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  border: 2px solid #980303;
  opacity: 0;
  border-radius: 50%;
  width: 100%;
  height: 100%;
  animation: sonar 1.5s infinite;
}

/*--------------------------page-content-----------------------------*/

.page-wrapper #page-content {
  display: inline-block;
  width: 100%;
  padding-left: 0px;
}

.page-wrapper #page-content > div {
  padding: 0px;
}

.page-wrapper #page-content {
  /*overflow-x: hidden;*/
}

/*------scroll bar---------------------*/

::-webkit-scrollbar {
  width: 5px;
  height: 7px;
}
::-webkit-scrollbar-button {
  width: 0px;
  height: 0px;
}
::-webkit-scrollbar-thumb {
  background: #525965;
  border: 0px none #ffffff;
  border-radius: 0px;
}
::-webkit-scrollbar-thumb:hover {
  background: #525965;
}
::-webkit-scrollbar-thumb:active {
  background: #525965;
}
::-webkit-scrollbar-track {
  background: transparent;
  border: 0px none #ffffff;
  border-radius: 50px;
}
::-webkit-scrollbar-track:hover {
  background: transparent;
}
::-webkit-scrollbar-track:active {
  background: transparent;
}
::-webkit-scrollbar-corner {
  background: transparent;
}


/*-----------------------------chiller-theme-------------------------------------------------*/

.chiller-theme .sidebar-wrapper {
    background: #2c272c;
}

.chiller-theme .sidebar-wrapper .sidebar-header,
.chiller-theme .sidebar-wrapper .sidebar-search,
.chiller-theme .sidebar-wrapper .sidebar-menu {
    border-top: 1px solid #3a3f48;
	padding: 10px 14px;
}
.chiller-theme .sidebar-wrapper .sidebar-menu,
.chiller-theme .glossary-view{
height: calc(100% - 100px);
  overflow-y: auto;
}
.chiller-theme .sidebar-wrapper .sidebar-search input.search-menu,
.chiller-theme .sidebar-wrapper .sidebar-search .input-group-text {
    border-color: transparent;
    box-shadow: none;
}

.chiller-theme .sidebar-wrapper .sidebar-header .user-info .user-role,
.chiller-theme .sidebar-wrapper .sidebar-header .user-info .user-status,
.chiller-theme .sidebar-wrapper .sidebar-search input.search-menu,
.chiller-theme .sidebar-wrapper .sidebar-search .input-group-text,
.chiller-theme .sidebar-wrapper .sidebar-brand>a,
.chiller-theme .sidebar-wrapper .sidebar-menu ul li a,
.chiller-theme .sidebar-footer>a {
    color: #b0b0b2;
}

.chiller-theme .sidebar-wrapper .sidebar-menu ul li:hover>a,
.chiller-theme .sidebar-wrapper .sidebar-menu .sidebar-dropdown.active>a,
.chiller-theme .sidebar-wrapper .sidebar-header .user-info,
.chiller-theme .sidebar-wrapper .sidebar-brand>a:hover,
.chiller-theme .sidebar-footer>a:hover i {
    color: #b8bfce;
}

.page-wrapper.chiller-theme.toggled #close-sidebar {
    color: #bdbdbd;
}

.page-wrapper.chiller-theme.toggled #close-sidebar:hover {
    color: #ffffff;
}

.chiller-theme .sidebar-wrapper ul li:hover a i,
.chiller-theme .sidebar-wrapper .sidebar-dropdown .sidebar-submenu li a:hover:before,
.chiller-theme .sidebar-wrapper .sidebar-search input.search-menu:focus+span,
.chiller-theme .sidebar-wrapper .sidebar-menu .sidebar-dropdown.active a i {
    color: #16c7ff;
    text-shadow:0px 0px 10px rgba(22, 199, 255, 0.5);
}

.chiller-theme .sidebar-wrapper .sidebar-menu ul li a i,
.chiller-theme .sidebar-wrapper .sidebar-menu .sidebar-dropdown div,
.chiller-theme .sidebar-wrapper .sidebar-search input.search-menu,
.chiller-theme .sidebar-wrapper .sidebar-search .input-group-text {
    /*background: #3a3f48;*/
}

.chiller-theme .sidebar-wrapper .sidebar-menu .header-menu span {
    color: #6c7b88;
}

.chiller-theme .sidebar-footer {
    background: #3a3f48;
    box-shadow: 0px -1px 5px #282c33;
    border-top: 1px solid #464a52;
}

.chiller-theme .sidebar-footer>a:first-child {
    border-left: none;
}

.chiller-theme .sidebar-footer>a:last-child {
    border-right: none;
}

.nav-close{ background: #2c272c; margin-top: -47px; transition: all 250ms ease-in-out; position: fixed; width: 100%; z-index: 99; display: none; }
.nav-item > .nav-link > .fas{ display: block; }
.nav-item > .nav-link{ font-weight: 600; }
.tooltip > .tooltip-inner {background-color: #e3e3e8; color: #000; 	padding: 5px 10px; line-height: 1; }
.tooltip.bs-tooltip-top .arrow:before { border-top-color: #e3e3e8; }
.sidebar-header{ background: #1a1a1a; }
.sidebar-header a{ font-size: 18px; margin-right: 20px; color: #fff; opacity: 0.5; }
.sidebar-header a.glossary{ background: url("../img/tab-glossary-white.png")no-repeat; background-size: 24px; background-repeat: no-repeat; background-position: center center;  background-color: transparent;  border: 1px solid transparent; width: 24px; height: 20px; position: relative;  }
.sidebar-header a.glossary .fas{ opacity: 0; font-size: 24px;}
.sidebar-header a:hover{ opacity: 1; }
a div.icon{ background: url("../img/reader-card-large.png") no-repeat; width: 30px; height: 27px; background-position: left bottom; background-size: 20px; }
a div.double-icon{ background: url("../img/embedded-reader.png") no-repeat; width: 30px; height: 20px; background-position: left bottom; background-size: 20px; }
a.hash div.double-icon{ width: 15px; background: none; }
ul li a > div{ display: table-cell; vertical-align: middle; }
.sidebar-submenu ul > li > a:hover,.sidebar-submenu ul li a.active { background-color: #423f43; }
.sidebar-submenu ul li a.active::before {
    content: " ";
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 4px;
    background-color: #0F7CB6;
	z-index:99;
}
.sidebar-wrapper .sidebar-sub-submenu ul > li > a{ padding-left: 20px; font-weight: normal; }
#page-content.intro .nav-top{display: none; }
.nav-link label{ margin-bottom: 0; cursor: pointer; }
.navbar-nav{ margin: 0 auto; }
.top-menu .top .fas.fa-chevron-up::before { content: "\f104"; }
.top-menu .navbar-nav{ margin: 0; }
.top-menu .navbar-nav .nav-item > .nav-link > .fas{ display: inline-block; padding-right: 5px; }

#page-content > .container{ position: relative; }
.toggled #page-content .container{ margin-top: 0; }
.sidebar-menu > ul > li > a{ margin-bottom: 10px; }
.loader-container {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: rgba(0,0,0,0.3);
}
#loader {
  position: absolute;
  left: 50%;
  top: 50%;
  z-index: 1;
  width: 80px;
  height: 80px;
  margin: -35px 0 0 -35px;
  border: 5px solid #aaaaaa;
  border-radius: 50%;
  border-top: 5px solid #3498db;
  -webkit-animation: spin 1s linear infinite;
  animation: spin 1s linear infinite;
}
@-webkit-keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
.glossary-view{ color: #b0b0b2; display: none; }
.glossary-container h2 {
    padding: 5px 15px;
    font-size: 16px;
    font-weight: 600;
    margin: 0 0 10px 0;
}
.glossary-container .glossary-entry {
    padding: 0 6px;
    margin: 0 6px;
}
.glossary-container .glossary-entry .term {
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    -ms-border-radius: 2px;
    border-radius: 2px;
    -moz-user-select: -moz-none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    font-size: 14px;
    cursor: pointer;
    padding: 10px 5px 10px 3px;
	margin: 5px 6px;
}
.glossary-container .glossary-entry.open .term{
	color: #b0b0b2;
    position: relative;
    font-weight: 600;
}
.glossary-container .glossary-entry .definition {
    color: #b0b0b2;
    padding: 5px 3px 10px;
	display: none; 
}
.glossary-container .glossary-entry .definition p{ margin-bottom:0; }
.glossary-container .glossary-entry.open,.glossary-container .glossary-entry:hover {
    -webkit-box-shadow: inset 0 1px 0 0 #000, 0 0 2px 1px rgb(10 13 25 / 13%);
    -moz-box-shadow: inset 0 1px 0 0 #000,0 0 2px 1px rgba(10,13,25,0.13);
    box-shadow: inset 0 1px 0 0 #000, 0 0 2px 1px rgb(10 13 25 / 13%);
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    -ms-border-radius: 8px;
    border-radius: 8px;
    background-color: rgba(0,0,0,0.82);
    margin: 5px 6px;
	color: #fff;
}
.tabs.active{ opacity: 1; }
.glossary-entry.open .term:after {
    font-family: "Font Awesome 5 Free";
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    display: inline-block;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    line-height: 1;
	content: "\f057";
	font-weight: 900;
	float: right;
	padding-left: 5px;
}
#page-content > .container { min-height: 500px; height: 100%; }
.navbar-light .navbar-nav .active>.nav-link, .navbar-light .navbar-nav .nav-link.active, .navbar-light .navbar-nav .nav-link.show, .navbar-light .navbar-nav .show>.nav-link {
    color: #9a9c9e;
	padding-top: 0;
	padding-bottom: 0;
}
.navbar-light .navbar-nav .nav-item > .nav-link:hover { color: #0F7CB6 ; }
.glossary-tip,.tip {
	-webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -ms-border-radius: 4px;
    border-radius: 4px;
    -webkit-box-shadow: 0 3px 10px rgb(0 0 0 / 20%);
    -moz-box-shadow: 0 3px 10px rgba(0,0,0,0.2);
    box-shadow: 0 3px 10px rgb(0 0 0 / 20%);
    position: absolute;
    background: #FFF;
	color: #16161e;
    font-size: 14px;
	width: 300px;
    max-height: 400px;
    overflow: auto;
	padding: 1.6em;
	display: none;
	word-break: break-word;
}
.glossary-tip .term{ font-weight: 600; }
.glossary-tip h4{ font-size: 14px; }
.glossary-tip p{ margin-bottom: 0; }
.mobile-tip{ position: fixed; top: 50%; left: 50%; transform: translate(-50%, -50%); }
html { scroll-behavior: smooth; }
.remarks{ display: none; }
.mask{ position: fixed; top:0; left:0; width: 100%; height: 100%; z-index: 999999; }
@media (min-width: 1200px){
.container { max-width: 979px; }
}
@media only screen and (max-width: 767px) {
.page-wrapper #page-content > div { padding-left: 15px; padding-right: 15px; }
}